VistaIOOffset(3)

NAME
VistaIOOffset, VistaIOOffsetOf - determine the byte offset of a structure field

SYNTAX
#include <vistaio.h>

size_t VistaIOOffset (pointer_type, field_name)
    Type pointer_type;
    Field field_name;

size_t VistaIOOffsetOf (struct_type, field_name)
    Type struct_type;
    Field field_name;

ARGUMENTS

field_name
    Specifies the name of a structure field for which to calculate the byte offset.

pointer_type
    Specifies a type that is declared as a pointer to a structure.

struct_type
    Specifies a type that is declared as a structure.

DESCRIPTION
The VistaIOOffset and VistaIOOffsetOf macros return the byte offset of the field_name field within its structure.

SEE ALSO

NOTES
These are equivalent to the X Toolkit macros XtOffset(3Xt) and XtOffsetOf(3Xt). ANSI C defines an offsetof macro, which is to be preferred over any of these.